.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
.TH DROUND "1" "July 2012" "dateutils 0.2.2fix1" "User Commands"
.SH NAME
dround \- manual page for dround 0.2.2fix1
.SH SYNOPSIS
.B dround
[\fIOPTION\fR]... [\fIDATE\fR] \fIRNDSPEC\fR...
.SH DESCRIPTION
dround 0.2.2fix1
.PP
Round DATE to the next occurrence of RNDSPEC.  If DATE is omitted a stream of
dates is read from stdin.
.PP
DATE can also be one of the following specials:
\- `now', interpreted as the current (UTC) time stamp
\- `time', the time part of the current (UTC) time stamp
\- `today', the current date (according to UTC)
\- `tomo[rrow]', tomorrow's date (according to UTC)
\- `y[ester]day', yesterday's date (according to UTC)
.PP
RNDSPECs can be month names (Jan, Feb, ...), weekday names (Sun, Mon, ...), or
multiples of the day dividing units, e.g 1h rounds to the nearest full hour,
30m to the nearest half hour, 10s to the next 10s.
.PP
Multiple RNDSPECs are evaluated left to right.
.PP
Note that rounding isn't commutative, e.g.
.IP
2012\-03\-01 Sat Sep \-> 2012\-09\-03
2012\-03\-01 Sep Sat \-> 2012\-09\-01
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Suppress message about date and duration parser
errors.
.TP
\fB\-f\fR, \fB\-\-format\fR=\fISTRING\fR
Output format as passed to dt_strft(), this can
either be a spec string (similar to strftime()'s
FMT) or the name of a time spec.
.TP
\fB\-i\fR, \fB\-\-input\-format\fR=\fISTRING\fR
Input format as passed to dt_strpt(), can be used
multiple times.
Each TIME will be passed to the input format
parsers in the order they are given, if TIME can
be read successfully with a given input format
that value will be used.
.TP
\fB\-e\fR, \fB\-\-backslash\-escapes\fR
Enable interpretation of backslash escapes in the
output and input format strings
.TP
\fB\-S\fR, \fB\-\-sed\-mode\fR
Copy parts from the input before and after the
date string.  Optional DELIM specifies where the
date input starts and defaults to the tab
character.
.TP
\fB\-\-from\-zone\fR=\fIZONE\fR
Interpret dates on stdin or the command line as
coming from the time zone ZONE
.TP
\fB\-z\fR, \fB\-\-zone\fR=\fIZONE\fR
Convert dates printed on stdout to time zone ZONE,
default: UTC
.TP
\fB\-n\fR, \fB\-\-next\fR
Always round to a different date or time.
.SH EXAMPLES

  % dround 2012-03-01 2
  2012-03-02


  % dround -n 2012-03-01 1
  2012-04-01


  % dround 17:04:00 5m
  17:05:00


  % dround -n 17:04:00 1m
  17:05:00


  % dround 2012-03-01 2
  2012-03-02


  % dround -n 2012-03-01 1
  2012-04-01


  % dround 17:04:00 5m
  17:05:00


  % dround -n 17:04:00 1m
  17:05:00
.SH "FORMAT SPECS"

Format specs in dateutils are similar to posix' strftime().

However, due to a broader range of supported calendars dateutils must
employ different rules.

Date specs:
  %a  The abbreviated weekday name
  %A  The full weekday name
  %_a The weekday name shortened to a single character (MTWRFAS)
  %b  The abbreviated month name
  %B  The full month name
  %_b The month name shortened to a single character (FGHJKMNQUVXZ)
  %c  The count of the weekday within the month (range 00 to 05)
  %C  The count of the weekday within the year (range 00 to 53)
  %d  The day of the month, 2 digits (range 00 to 31)
  %F  Equivalent to %Y-%m-%d (ymd's canonical format)
  %j  The day of the year, see ISO 8601 ordinal date
  %m  The month in the current calendar (range 00 to 19)
  %Q  The quarter of the year (range Q1 to Q4)
  %q  The number of the quarter (range 01 to 04)
  %U  The week count, first day of week is Sun (range 00 to 53)
  %V  The ISO week count, first day of week is Mon (range 01 to 53)
  %w  The weekday as number (range 00 to 06, Sunday being 00)
  %W  The week count, first day of week is Mon (range 00 to 53)
  %y  The year without a century (range 00 to 99)
  %Y  The year including the century

  %Od The day as roman numerals
  %Om The month as roman numerals
  %Oy The two digit year as roman numerals
  %OY The year including the century as roman numerals

  %dth  The day of the month as an ordinal number, 1st, 2nd, 3rd, etc.
  %mth  The month of the year as an ordinal number, 1st, 2nd, 3rd, etc.

  %db The business day of the month (since last month's ultimo)
  %dB Number of business days until this month's ultimo

Time specs:
  %H  The hour of the day using a 24h clock, 2 digits (range 00 to 23)
  %I  The hour of the day using a 12h clock, 2 digits (range 01 to 12)
  %M  The minute (range 00 to 59)
  %N  The nanoseconds (range 000000000 to 999999999)
  %p  The string AM or PM, noon is PM and midnight is AM.
  %P  Like %p but in lowercase
  %S  The second (range 00 to 60, 60 is for leap seconds)
  %T  Equivalent to %H:%M:%S

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character

Modifiers:
  %O  Modifier to turn decimal numbers into Roman numerals
  th  Suffix.  Read and print ordinal numbers
  b   Treat date as business date

By design dates before 1917-01-01 are not supported.

Format specs in dateutils are similar to posix' strftime().

However, due to a broader range of supported calendars dateutils must
employ different rules.

Date specs:
  %a  The abbreviated weekday name
  %A  The full weekday name
  %_a The weekday name shortened to a single character (MTWRFAS)
  %b  The abbreviated month name
  %B  The full month name
  %_b The month name shortened to a single character (FGHJKMNQUVXZ)
  %c  The count of the weekday within the month (range 00 to 05)
  %C  The count of the weekday within the year (range 00 to 53)
  %d  The day of the month, 2 digits (range 00 to 31)
  %F  Equivalent to %Y-%m-%d (ymd's canonical format)
  %j  The day of the year, see ISO 8601 ordinal date
  %m  The month in the current calendar (range 00 to 19)
  %Q  The quarter of the year (range Q1 to Q4)
  %q  The number of the quarter (range 01 to 04)
  %U  The week count, first day of week is Sun (range 00 to 53)
  %V  The ISO week count, first day of week is Mon (range 01 to 53)
  %w  The weekday as number (range 00 to 06, Sunday being 00)
  %W  The week count, first day of week is Mon (range 00 to 53)
  %y  The year without a century (range 00 to 99)
  %Y  The year including the century

  %Od The day as roman numerals
  %Om The month as roman numerals
  %Oy The two digit year as roman numerals
  %OY The year including the century as roman numerals

  %dth  The day of the month as an ordinal number, 1st, 2nd, 3rd, etc.
  %mth  The month of the year as an ordinal number, 1st, 2nd, 3rd, etc.

  %db The business day of the month (since last month's ultimo)
  %dB Number of business days until this month's ultimo

Time specs:
  %H  The hour of the day using a 24h clock, 2 digits (range 00 to 23)
  %I  The hour of the day using a 12h clock, 2 digits (range 01 to 12)
  %M  The minute (range 00 to 59)
  %N  The nanoseconds (range 000000000 to 999999999)
  %p  The string AM or PM, noon is PM and midnight is AM.
  %P  Like %p but in lowercase
  %S  The second (range 00 to 60, 60 is for leap seconds)
  %T  Equivalent to %H:%M:%S

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character

Modifiers:
  %O  Modifier to turn decimal numbers into Roman numerals
  th  Suffix.  Read and print ordinal numbers
  b   Treat date as business date

By design dates before 1917-01-01 are not supported.
.SH BUGS
  Report them to: https://github.com/hroptatyr/dateutils/issues
.SH AUTHOR
  Written by Sebastian Freundt <freundt@fresse.org>
.SH "SEE ALSO"
The full documentation for
.B dround
is maintained as a Texinfo manual.  If the
.B info
and
.B dround
programs are properly installed at your site, the command
.IP
.B info (dateutils)dround
.PP
should give you access to the complete manual.
